Subject: Re: [Bitcoin-development] A suggestion for reducing the size of the UTXO database

From: Jim Phillips <[email-masked]>
Date: Sat, 9 May 2015 14:33:21 -0500

On Sat, May 9, 2015 at 2:25 PM, Raystonn <[email-masked]> wrote:

> Lack of privacy is viral.  We shouldn't encourage policy in most wallets
> that discourages privacy.  It adversely affects privacy across the entire
> network.
>
How about this as a happy medium default policy: Rather than select UTXOs
based solely on age and limiting the size of the transaction, we select as
many UTXOs as possible from as few addresses as possible, prioritizing
which addresses to use based on the number of UTXOs it contains (more being
preferable) and how old those UTXOs are (in order to reduce the fee)?